<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Run Method (IEdmTemplate5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTemplate5 Interface : Run Method (IEdmTemplate5)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

lCurrentFolderID
  ID of folder in which to run this template

Executes this template in the specified folder.

# Syntax

Visual Basic |
--- | ---

    Function Run( _
       ByVal hParentWnd As System.Integer, _
       ByVal lCurrentFolderID As System.Integer _
    ) As System.Integer

C# |
--- | ---

    System.int Run(
       System.int hParentWnd,
       System.int lCurrentFolderID
    )

C++/CLI |
--- | ---

    System.int Run(
    &   System.int hParentWnd,
    &   System.int lCurrentFolderID
    )

#### Parameters

hParentWnd
  Parent window handle
lCurrentFolderID
  ID of folder in which to run this template

#### Return Value

User-interface refresh flags as defined in EdmRefreshFlag

# Example

Execute Template (C#)
Execute Template (VB.NET)

# Remarks

This method is extended by IEdmTemplate53::RunEx which returns information about all of the files and folders created by the template.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTemplate5 Interface
IEdmTemplate5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2